# Class CommonImages

java.lang.Object
org.eclipse.jface.notifications.internal.CommonImages

public class CommonImages extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ImageDescriptor`
`NOTIFICATION_CLOSE`
`static final ImageDescriptor`
`NOTIFICATION_CLOSE_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`CommonImages()`

## Method Summary

Modifier and Type
Method
Description
`static Image`
`getImage(ImageDescriptor imageDescriptor)`
Lazily initializes image map.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NOTIFICATION_CLOSE

public static final ImageDescriptor NOTIFICATION_CLOSE

### NOTIFICATION_CLOSE_HOVER

public static final ImageDescriptor NOTIFICATION_CLOSE_HOVER

## Constructor Details

### CommonImages

public CommonImages()

## Method Details

### getImage

public static Image getImage(ImageDescriptor imageDescriptor)
Lazily initializes image map.

Returns:
  Image